{
    "name": "Energy Community",
    "version": "14.0.8.1.0",
    "depends": [
        "account",
        "cooperator_account_banking_mandate",
        "account_lock_date_update",
        "account_multicompany_easy_creation",
        "cooperator_account_payment",
        "account_payment_order",
        "account_reconciliation_widget",
        "auth_api_key",
        "auth_oauth",
        "auth_oidc",
        "auth_signup",
        "base_rest",
        "base_technical_features",
        "base_user_role",
        "base_user_role_company",
        "community_maps",
        "contacts",
        "cooperator",
        "crm",
        "crm_metadata",
        "crm_metadata_rest_api",
        "crm_rest_api",
        "energy_selfconsumption",
        "l10n_es_aeat",
        "l10n_es_aeat_sii_oca",
        "l10n_es_cooperator",
        "mail_multicompany",
        "mass_mailing",
        "metadata",
        "partner_multi_company",
        "purchase",
        "queue_job",
        "sale_crm",
        "sale_management",
    ],
    "author": "Coopdevs Treball SCCL & Som Energia SCCL",
    "website": "https://coopdevs.org",
    "category": "Cooperative management",
    "description": """
    Energy Communities customizations.
    """,
    "license": "AGPL-3",
    "demo": [
        "demo/res_lang_demo.xml",
        "demo/res_company_demo.xml",
        "demo/res_user_demo.xml",
        "demo/subscription_request_demo.xml",
        "demo/energy_selfconsumption_demo.xml",
    ],
    "data": [
        "security/ir_rule_data.xml",
        "security/res_users_role_data.xml",
        "security/ir.model.access.csv",
        "data/utm_data.xml",
        "data/crm_lead_tag.xml",
        "data/product_data.xml",
        "data/auth_oauth_provider_data.xml",
        "data/ir_cron.xml",
        "report/report_templates.xml",
        "views/crm_lead_metadata_mapping_views.xml",
        "views/account_move_views.xml",
        "views/crm_lead_views.xml",
        "views/landing_page_view.xml",
        "views/res_company_views.xml",
        "views/res_config_settings.xml",
        "views/res_partner_views.xml",
        "views/ce_views.xml",
        "views/utm_views.xml",
        "views/auth_oauth_views.xml",
        "views/view_users_form.xml",
        "views/subscription_request_view.xml",
        "views/product_views.xml",
        "views/res_users_view.xml",
        "views/res_users_role_view.xml",
        "views/menus.xml",
        "views/website_formfields_template.xml",
        "views/website_subscription_template.xml",
        "views/website_community_data_template.xml",
        "views/account_banking_mandate_views.xml",
        "data/mail_template_data.xml",
        "data/mail_template_update_data.xml",
        "wizards/assign_crm_to_coordinator_company.xml",
        "wizards/multicompany_easy_creation.xml",
        "wizards/assign_admin_wizard.xml",
    ],
    "installable": True,
    "application": True,
    "auto_install": False,
    "post_init_hook": "post_init_hook",
}
